Name:          btf
Version:       1.2
Release:       1%{?dist}
Summary:       Generic interfaces to the builder pattern and the "freeze/thaw" pattern
License:       ASL 2.0 and LGPLv3+
URL:           https://github.com/fge/btf
Source0:       https://github.com/fge/btf/archive/%{version}.tar.gz
Source1:       http://repo1.maven.org/maven2/com/github/fge/%{name}/%{version}/%{name}-%{version}.pom

BuildRequires: maven-local
BuildRequires: mvn(com.google.code.findbugs:jsr305)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)

BuildArch:     noarch

%description
This package contains interfaces to help for two design patterns:

° the builder pattern;
° another pattern, which I came up with, called the
  "freeze/thaw pattern".

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
find -name "*.class" -delete
find -name "*.jar" -print -delete

cp -p %{SOURCE1} pom.xml
%pom_xpath_inject "pom:project" "<packaging>bundle</packaging>"
%pom_add_plugin org.apache.felix:maven-bundle-plugin . '
<extensions>true</extensions>
<configuration>
  <instructions>
    <Bundle-SymbolicName>com.github.fge.btf</Bundle-SymbolicName>
    <Bundle-Name>btf</Bundle-Name>
    <Bundle-Version>${project.version}</Bundle-Version>
    <Export-Package>com.github.fge;version="${project.version}"</Export-Package>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'

%mvn_file :%{name} %{name}

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license ASL-2.0.txt LGPL-3.0.txt LICENSE

%files javadoc -f .mfiles-javadoc
%license ASL-2.0.txt LGPL-3.0.txt LICENSE

%changelog
* Mon Mar 09 2015 gil cattaneo <puntogil@libero.it> 1.2-1
- initial rpm
